## opennx 1.0.5%2B0~20250808234724.4%2Btrixie~1.gbp7bf649

=== debian/changelog ===
opennx (1.0.5+0~20250808234724.4+trixie~1.gbp7bf649) unstable; urgency=medium

  ** SNAPSHOT build @7bf64978f6a73bfec8995a10e6948c15e562a288 **

  [ geos_one ]
  * add needed curl
  * add needed nxssh
  * add needed nxssh
  * gcc 14 patch

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Sat, 09 Aug 2025 01:47:24 +0200

opennx (1.0.5) unstable; urgency=low

  * Unused code delete
  * Build witch wx3.2 on linux

 -- Dmitry Borisov <i@dimbor.ru>  Sat, 28 Oct 2023 13:04:36 +0300

opennx (1.0.4) UNRELEASED; urgency=low

  * Add installation and build dependencies for modern systems
  * Small fixes
  * Add dummy Admin session type

 -- Dmitry Borisov <i@dimbor.ru>  Mon, 05 Sep 2022 00:35:06 +0300

opennx (1.0.3) UNRELEASED; urgency=low

  * Add forced view only shadow mode (freenx>=2.1.1)
  * Repair of shadow sessions list refreshing
  * nxssh force use ipv4 only
  * Enter model of ipp printer manualy (freenx>=2.0)

 -- Dmitry Borisov <i@dimbor.ru>  Sun, 19 Jun 2022 11:57:17 +0300

opennx (1.0.2) UNRELEASED; urgency=low

  * Change rdp and vnc modes
  * Rewrite PA modules loading

 -- Dmitry Borisov <i@dimbor.ru>  Fri, 03 Jun 2022 20:25:37 +0300

opennx (1.0.1) UNRELEASED; urgency=low

  * Don't autologin if username is empty
  * Add --nologin param to come back the behavior of r725
  * Set liogin window title to user@session

 -- Dmitry Borisov <i@dimbor.ru>  Sat, 16 Oct 2021 23:05:15 +0300

opennx (1.0.0) UNRELEASED; urgency=low

  * Initial release.

 -- Dmitry Borisov <i@dimbor.ru>  Sat, 16 Nov 2019 23:42:47 +0300
