=== debian/control ===
Source: opennx
Section: x11
Priority: optional
Maintainer: Dmitry Borisov <i@dimbor.ru>
Build-Depends:
 debhelper (>= 9),
 autotools-dev,
 automake, libtool,
 wx-common,
 libwxgtk3.0-dev | libwxgtk3.0-gtk3-dev | libwxgtk3.2-dev,
 libxcomp-dev,
 libxmu-dev,
 libjpeg62-turbo-dev | libjpeg-turbo8-dev,
 libpng-dev,
 libaudiofile-dev,
 zip,
 libpulse-dev,
 libssl-dev,
 curl
Standards-Version: 4.2.1
Homepage: https://unixforum.org/viewforum.php?f=89

Package: opennx
Architecture: any
Depends:
 libxcomp3 (>= 3.5.0),
 nxproxy (>= 3.5.0),
 libcurl3-gnutls,
 libgcc1,
 libice6,
 libsm6,
 libstdc++6,
 libwxbase3.0-0v5 | libwxbase3.2-1 (>= 3.0.4),
 libwxgtk3.0-0v5 | libwxgtk3.0-gtk3-0v5 | libwxgtk3.2-1 (>= 3.0.4),
 libx11-6,
 libxau6,
 libxmu6,
 xdg-utils,
 libssl1.0.2 (>= 1.0.2d) | libssl1.1 | libssl3,
 zlib1g
Recommends: libopensc2, libsmbclient, cups, wx3.0-i18n, libjpeg-turbo, pulseaudio
Description: Open Source NX client
 OpenNX is an OSS replacement for Nomachine's NX client.
