## opennx 1.0.5%2B0~20250808234750.4%2Bbuster~1.gbp7bf649

=== debian/changelog ===
opennx (1.0.5+0~20250808234750.4+buster~1.gbp7bf649) unstable; urgency=medium

  ** SNAPSHOT build @7bf64978f6a73bfec8995a10e6948c15e562a288 **

  [ geos_one ]
  * add needed curl
  * add needed nxssh
  * add needed nxssh
  * gcc 14 patch

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Sat, 09 Aug 2025 01:47:51 +0200
